simple-editor
=============
This is a very simple demo application for OpenShot Cloud API. You can log-in, upload files,
create/edit clips, Move clips (up/down), and export & download a video.

urls:
-----
  - /login/:  Allow user to login to API (auth saved to localStorage)
  - /projects/:  List all projects (create, edit, copy, delete)
  - /projects/ID/:  Video editor (files, clips, preview, export)

editor:
-------
  - files: upload (w/progress bars), filter, and delete
  - clips: trimming (start, end), position (move clip), edit, delete
  - preview: file & clips supported, play/pause, simple timeline w/ trimming, add-clip button
  - export: progress bar, cancel, download, preview (show last export)

## Project setup
```
npm install
```

### Compiles and hot-reloads for development
```
npm run serve
```

### Compiles and minifies for production
```
npm run build
```

### Lints and fixes files
```
npm run lint
```

### Customize configuration
See [Configuration Reference](https://cli.vuejs.org/config/).
